<?php

namespace Nest\Cli;

use Nest\Cli\Commands\CommandContext;
use Throwable;

/**
 * CLI helper interface.
 */
interface CliHelper
{
	/**
	 * Show helper for a given command context in a CLI.
	 * @param Cli $cli CLI of the helper.
	 * @param CommandContext $command Command context which require help.
	 * @param Throwable|null $exception Thrown exception that caused helper to be called.
	 * @return void
	 */
	public function help(Cli $cli, CommandContext $command, ?Throwable $exception = null): void;
}
