<?php

namespace Nest\Cli;

use Nest\Exceptions\Services\Configuration\UndefinedServiceConfigurationException;

/**
 * CLI Nest service.
 */
trait CliService
{
	/**
	 * The CLI.
	 * @var Cli
	 */
	private Cli $cli;

	/**
	 * @return void
	 * @throws UndefinedServiceConfigurationException
	 */
	protected function __nest__CliService(): void
	{
		// Initialize CLI.
		$this->cli = new Cli($this, $this->getServiceConfiguration(CliConfiguration::class));
	}

	/**
	 * Get the CLI.
	 * @return Cli CLI instance.
	 */
	public function cli(): Cli
	{
		return $this->cli;
	}
}
