<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandContext;
use Nest\Cli\Exceptions\CliException;
use Throwable;

/**
 * Exception thrown when parsing a command.
 */
class CommandException extends CliException
{
	/**
	 * @param CommandContext $commandContext Command context.
	 * @param string $message [optional] The Exception message to throw.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public CommandContext $commandContext, string $message = "", int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($message, $code, $previous);
	}
}
