<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandContext;
use Throwable;

/**
 * Exception thrown when an incomplete command has been used.
 */
class IncompleteCommandException extends CommandException
{
	/**
	 * @param CommandContext $commandContext Command context.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(CommandContext $commandContext, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($commandContext, "Incomplete command.", $code, $previous);
	}
}
