<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandHandler;
use Nest\Exceptions\Cli\CliException;
use Throwable;

/**
 * Exception thrown when a given command handler is not of the right type.
 */
class InvalidCommandHandlerException extends CliException
{
	/**
	 * @param string $commandHandlerClass Class of command handler with invalid type.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $commandHandlerClass, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("$this->commandHandlerClass must be of type ".CommandHandler::class, $code, $previous);
	}
}
