<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandContext;
use Throwable;

/**
 * Exception thrown when invalid command parameters have been provided.
 */
class InvalidParametersException extends CommandException
{
	/**
	 * @param CommandContext $commandContext Command context.
	 * @param string $message [optional] The Exception message to throw.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(CommandContext $commandContext, string $message = "", int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($commandContext, "Invalid parameters".(!empty($message) ? ": $message" : "."), $code, $previous);
	}
}
