<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandContext;
use Throwable;

/**
 * Exception thrown when a required flag is missing.
 */
class MissingRequiredFlagException extends CommandException
{
	/**
	 * @param string $flag Missing flag.
	 * @param CommandContext $commandContext Command context.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $flag, CommandContext $commandContext, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($commandContext, "The required flag $this->flag is missing.", $code, $previous);
	}
}
