<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandContext;
use Throwable;

/**
 * Exception thrown when an undefined flag has been provided.
 */
class UndefinedFlagException extends CommandException
{
	/**
	 * @param string $flag Undefined flag.
	 * @param CommandContext $commandContext Command context.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $flag, CommandContext $commandContext, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($commandContext, "Provided flag $this->flag is not defined for this command.", $code, $previous);
	}
}
