<?php

namespace Nest\Cli\Exceptions\Command;

use Nest\Cli\Commands\CommandContext;
use Throwable;

/**
 * Exception thrown when no subcommands are defined for the given command.
 */
class UndefinedSubcommandsException extends CommandException
{
	/**
	 * @param string $invalidCommand Command with no subcommands.
	 * @param CommandContext $commandContext Command context.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $invalidCommand, CommandContext $commandContext, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct($commandContext, "No defined subcommands for $this->invalidCommand.", $code, $previous);
	}
}
