<?php

namespace Nest\Cli\Exceptions;

use Throwable;

/**
 * Exception thrown when a requested flag is not found.
 */
class FlagNotFoundException extends CliException
{
	/**
	 * @param string $flag Request flag (full) name.
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(public string $flag, int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("$this->flag was not provided in the command.", $code, $previous);
	}
}
