<?php

namespace Nest\Cli\Exceptions;

use Throwable;

/**
 * Exception thrown when a handler and subcommands are defined at the same time in a command definition.
 */
class IncompatibleCliHandlerSubcommands extends CliException
{
	/**
	 * @param int $code [optional] The Exception code.
	 * @param null|Throwable $previous [optional] The previous throwable used for the exception chaining.
	 */
	public function __construct(int $code = 0, ?Throwable $previous = null)
	{
		parent::__construct("Cannot define a command handler and subcommands for the same command.", $code, $previous);
	}
}
